[PF1] Find & Rank Prospects
curl --request POST \
--url https://api-lr.agent.ai/v1/action/prospect_finder_find_and_rank_prospects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"search_query": "<string>",
"output_variable_name": "prospect_finder_result",
"num_results": "5",
"seller_product": "<string>",
"seller_icp": "<string>",
"seller_website": "<string>",
"exclusion_slugs": "<string>"
}
'import requests
url = "https://api-lr.agent.ai/v1/action/prospect_finder_find_and_rank_prospects"
payload = {
"search_query": "<string>",
"output_variable_name": "prospect_finder_result",
"num_results": "5",
"seller_product": "<string>",
"seller_icp": "<string>",
"seller_website": "<string>",
"exclusion_slugs": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
search_query: '<string>',
output_variable_name: 'prospect_finder_result',
num_results: '5',
seller_product: '<string>',
seller_icp: '<string>',
seller_website: '<string>',
exclusion_slugs: '<string>'
})
};
fetch('https://api-lr.agent.ai/v1/action/prospect_finder_find_and_rank_prospects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}Prospect Finder
[PF1] Find & Rank Prospects
Searches for prospects matching a natural-language description via Fiber.ai combined NL search, then scores and ranks them against the seller’s ICP using Perplexity.
POST
/
action
/
prospect_finder_find_and_rank_prospects
[PF1] Find & Rank Prospects
Authorizations
Bearer token from your account (https://agent.ai/user/integrations#api)
Body
application/json
Natural-language description of target prospects.
Pattern:
^[a-zA-Z][a-zA-Z0-9_]*$5-20 results (default 5).
Product/service description for ICP scoring.
ICP for scoring and ranking.
Comma-separated LinkedIn slugs to exclude.
⌘I

